import { BaseType } from "../Base/Base";
export interface QueueType<T> extends BaseType {
    /**
     * Inserts element at the end.
     */
    push: (element: T) => void;
    /**
     * Removes the first element.
     */
    pop: () => void;
    /**
     * Access the first element.
     */
    front: () => T | undefined;
}
declare const _default: new <T>(container?: {
    forEach: (callback: (element: T) => void) => void;
}) => QueueType<T>;
export default _default;
